Jump to content

dancom

Forum Members
  • Posts

    7
  • Joined

  • Last visited

Equipment

  • Keenetic
    GigaIII

Recent Profile Visitors

The recent visitors block is disabled and is not being shown to other users.

dancom's Achievements

Newbie

Newbie (1/5)

0

Reputation

  1. Мне помогло: opkg update opkg install gcc opkg install python3-dev
  2. Нет, дело не в этом. у меня аналогичная проблема. Причем появляется она, если поставить НА с нуля и потом поюзать его несколько дней/недель. Сразу обновляется норма, через несколько дней перестает обновляться, висит на скачивании пакета, как автора поста выше. По косвенным признакам (логи в журнале роутера), попытка проверки ФС, предполагаю, что файловая система дает сбои при долгой работе. При этом пробовал разные флешки, сейчас вообще жесткий диск (не SSD) 3,5 дюйма тащит систему и проблема повторяется. В итоге любой: opkg upgrade Upgrading homeassistant on root from XXXX to XXXXXX... Downloading http://bin.entware.net/mipselsf-k3.4/test/HA/homeassistant_XXXXXX.ipk и висит на этом.....хоть сутки. Роутер giga3, прошивка последняя оффиц.
  3. Приветствую! Кто-нибудь пробовал установить интеграцию Zigbee home automation (ZHA) на версию 2021.4.6? У меня пишет "Ошибка запуска мастера настройки" после установки в окне интеграции. Ошибок в логах не было вроде. На старых версиях, например 2021.2.2 работало исправно. Версию 2021.4.6 ставил с нуля, с форматированием раздела, так как апдейт с версии 2021.2.2 зависал наглухо на моменте скачивания свежего пакета HA с репозитория. Раза два пробовал.
  4. Приветствую. Можно ли на 2021.2.3 обновить репозиторий?😌 Пишут стабильная версия.
  5. Легла намертво web морда после : opkg update opkg upgrade homeassistant Стартует в консоли без ошибок, web интерфейс так и не поднялся. Пробовал: opkg remove homeassistant opkg install homeassistant Не помогло. Откатился к старому бэкапу
  6. Спасибо за наводку. Разобрался. Не смог собраться из исходников пакет netifaces.c, являющийся зависимым от python-miio. Без него не ставилась интеграция Xiaomi-miio и XiaomiGateway3. Там указан файл заголовка: #include <Python.h>, который отсутствует в системе. В системе не установлены файлы заголовка и статичных библиотек для python dev. Проблема была в отсутствующем пакете python3-dev. Поставил с репозитория Entware имеющуюся там версию python3-dev_3.9.0-2_mipsel-3.4.ipk . Причем именно с entware. С репозитория pip имеющийся там Python-dev-2.0.0.dev0.tar.gz установился, но ошибка не ушла. После установки "правильной" версии, установилась интеграция Xiaomi-miio а также HACS: AlexxIT/XiaomiGateway3, увиделся мой шлюз и прицепились все zigbee устройства в системе. Даже не от xiaomi, что самое приятное и ради чего все затевалось (mi home их игнорирует при паринге).Что делал: opkg update opkg install gcc wget -qO- http://bin.entware.net/mipselsf-k3.4/include/include.tar.gz | tar xvz -C /opt/include source /opt/bin/gcc_env.sh opkg install python3-dev pip install netifaces pip install python-miio По идее достаточно было бы только : opkg install python3-dev, но я не уверен. Описал, как делал я. Предлагаю пакет python3-dev включить в следующую сборку draft HA. В системе умного дома наверно у 90% людей есть устройства xiaomi и им не понадобится танцевать с бубном как я, разбираясь с основанными на Си исходниками интеграции.
  7. Приветствую. Роутер Giga3 с релизной прошивкой 3.5.4. Установил home assistant. Пытаюсь поставить интеграцию xiaomi gateway3 (сторонний репозиторий HACS: AlexxIT/XiaomiGateway3) для подключения шлюза от xiaomi третьей версии. При попытке добавить интеграцию через меню, она там появилась, но при установке вываливается ошибка, что-то вроде не могу поставить пакет xiaomi-miio==0.5.3: и такое после: Пробовал ставить обновление pip до предложенной 20.3.1, но это не помогло, мало того, НА стал ругаться, что с этой версией работать не хочет, нужно понизить.
×
×
  • Create New...